Go Back   FlashFXP Forums > >

General Discussion Need help? Have a problem? Let us help you. Bug reports and feature requests should be made using the Bug Tracker or Feature Tracker

Closed Thread
 
Thread Tools Rate Thread Display Modes
Old 05-19-2005, 04:05 PM   #1
Joel
Junior Member
FlashFXP Registered User
 
Join Date: Apr 2003
Posts: 4
Default dll error at startup

I've just upgraded to the latest version (3.2.0) with LiveUpdate, but when I start flashfxp I get this error message:


(it's in dutch, never seen this error message before so I don't know what the equivalent message is in english)

I also tried a fresh install, same problem. After clicking ok I can still use flashfxp without any problems. Any suggestions how to fix this?
Joel is offline  
Old 05-19-2005, 04:14 PM   #2
Hetfield
Senior Member
FlashFXP Scripter
 
Join Date: Nov 2002
Posts: 334
Default

Well i'm dutch too and i never saw this error before anywhere else. I do know that the error comes from the SSL DLL's so i *think* that you are using the wrong DLL's there. My only suggestion is to grab the full setup.exe from the website, install it in a different directory and see if the problem still comes up. If yes, my only bet is that your windows installation isn't 100% good anymore, because i really never saw that error anywhere else.
Hetfield is offline  
Old 05-19-2005, 05:18 PM   #3
Joel
Junior Member
FlashFXP Registered User
 
Join Date: Apr 2003
Posts: 4
Default

The fresh install was in a new directory

I don't think it's my windows installation either. I've just downloaded and installed the latest flashfxp setup on my laptop (win2k english) and it's the exact same error...
Joel is offline  
Old 05-20-2005, 06:13 AM   #4
Hetfield
Senior Member
FlashFXP Scripter
 
Join Date: Nov 2002
Posts: 334
Default

The only thing i can think of is that you're using some incompatible software on both machines. Perhaps you can tell us what anti-virus/firewall/etc software you're running that is a bit out of the ordinary?
Hetfield is offline  
Old 05-20-2005, 07:02 AM   #5
Joel
Junior Member
FlashFXP Registered User
 
Join Date: Apr 2003
Posts: 4
Default

i'm running winxp sp1 on my desktop with norton antivirus (tried running flashfxp with antivirus disabled, same problem), no firewall.

the laptop is running win2k sp4, no antivirus and no firewall.

the error message even appears when i completely remove the dll from flashfxp's directory. (which makes me think flashfxp is either using the dll from another location, or not using it at all) I found a few other programs that are using this dll (different versions/filesizes/dates)
apache2, subversion, tortoisesvn.

Already tried renaming all those files, but that error msg keeps appearing.

I'm pretty sure it has something to do with the new flashfxp version. The previous version in the flashfxp/backup directory (v3.0.2 build 1045) works without a problem.
Joel is offline  
Old 05-20-2005, 09:36 AM   #6
Hetfield
Senior Member
FlashFXP Scripter
 
Join Date: Nov 2002
Posts: 334
Default

Well in the latest version there are some SSL enhancements and there are new SSL DLL's packed into the setup package. I think you're quite right that FlashFXP uses other DLL's than in it's own directory. You can look in the registry (HKEY_LOCAL_MACHINE\SOFTWARE\FlashFXP\3\) if the paths are there correct. Also you might have the wrong DLL's in your \windows\system32 directory, you can try rename them there as well. I hope this helps.
Hetfield is offline  
Old 05-20-2005, 09:43 AM   #7
Joel
Junior Member
FlashFXP Registered User
 
Join Date: Apr 2003
Posts: 4
Default

thanks.
the path in the registry was correct and I already checked if the dll was in windows\system32 directory (I checked all the folders in the 'path' env var) but no folder has the dll.

guess i'll be using the older version then till I figure out what the prob. is
Joel is offline  
Old 05-20-2005, 01:52 PM   #8
bigstar
FlashFXP Developer
FlashFXP Administrator
ioFTPD Beta Tester
 
bigstar's Avatar
 
Join Date: Oct 2001
Posts: 8,012
Default

Did you check for both files ssleay32.dll and libeay32.dll ? You might search your entire hard drive just to be sure.

This problem occurs because both files are paired together and the both must be the same version of openssl. The libeay32.dll being loaded does not contain an expected export reference required by ssleay32.dll.

FlashFXP will look for the dlls in it's own application directory first, however if the files are not found, it will fall back and try to load the dll from any of the common path locations ('path env var)

It sounds like ssleay32.dll is being loaded from the FlashFXP folder and libeay32.dll from some place else, or maybe the other way around.. Make sure that both of these files are in your FlashFXP folder.

The openssl dlls don't have any version info so it makes it difficult to identify which version is which.

FlashFXP v3.2 comes with the latest version of the openssl dlls, these two files are digitally signed and have a signature date of "Wednesday, May 04, 2005"
bigstar is offline  
Closed Thread

Tags
english, equivalent, error, flashfxp, message

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 09:38 PM.

Parts of this site powered by vBulletin Mods & Addons from DragonByte Technologies Ltd. (Details)